Loading...
Searching...
No Matches
pdumodel::Ade::MetaData Struct Reference

ADE metadata. More...

## Public Attributes

string | adeType
| ADE chip model.
int | channels
| Number of channels.
double | currentDivider
| Divider for converting raw readings to Amperes.
double | voltageDivider
| Divider for converting raw readings to Volts.
double | energyDivider
| Divider for converting raw readings to Wh/VAh.

## Detailed Description

ADE metadata.

Definition at line 18 of file Ade.idl.

## Member Data Documentation

## adeType

string pdumodel::Ade::MetaData::adeType

ADE chip model.

Definition at line 19 of file Ade.idl.

## channels

int pdumodel::Ade::MetaData::channels

Number of channels.

Definition at line 20 of file Ade.idl.

## currentDivider

double pdumodel::Ade::MetaData::currentDivider

Divider for converting raw readings to Amperes.

Definition at line 21 of file Ade.idl.

## energyDivider

double pdumodel::Ade::MetaData::energyDivider

Divider for converting raw readings to Wh/VAh.

Definition at line 23 of file Ade.idl.

## voltageDivider

double pdumodel::Ade::MetaData::voltageDivider

Divider for converting raw readings to Volts.

Definition at line 22 of file Ade.idl.

The documentation for this struct was generated from the following file:

- Ade.idl